-- TICKER_500
---@type allstates allstates
function(allstates)
	local now = GetTime()
	for k, v in pairs(aura_env.stinkies) do
		local ago = now - v.lastSeenInternal
		if ago > aura_env.ttl then
			allstates[k] = { show = false, changed = true }
			aura_env.stinkies[k] = nil
			PlaySoundFile("Interface\\Sounds\\Uncloak.ogg", "Master")
			aura_env.NotifyGone(v)
		else
			if allstates[k] then
				allstates[k].ago = string.format("%6.1fs", ago)
				allstates[k].name = v:ToString()
				allstates[k].changed = true
			else
				allstates[k] = {
					show = true,
					changed = true,
					name = v:ToString(),
					progressType = "timed",
					duration = aura_env.ttl,
					expirationTime = GetTime() + aura_env.ttl,
					autohide = true,
					index = ago,
					ago = string.format("%6.1fs", ago),
				}
			end
		end
	end
	return true
end
